#include <stdio.h>
#include <omp.h>
#include <time.h>
#include <math.h>


main(int argc, char *argv[])
{
   int i, j, limit;
   clock_t time_1, time_2;
   int start = 1000000;
   int end = 4000000;         /* start:end == range of numbers to search */
   int number_of_primes=0;  /* number of primes found */

   int prime;               /* boolean to mark if number is prime */
   int print_primes=0;      /* boolean to mark if printing of primes is done */

   if (!(start % 2)) start++;

   printf("Range to check for Primes: %d - %d\n\n",start, end);
   time_1=clock();

   for(i = start; i <= end; i += 2)
   {
       limit = (int) sqrt((double)i) + 1;
       prime = 1; /* assume number is prime */

       for (j=3; prime && (j <= limit); j+=2)
           if (i%j == 0)
               prime = 0;

       if (prime)
		  number_of_primes++;
   }

   time_2=clock();

   printf("\nFound %d primes in %5.3f seconds\n",
          number_of_primes,
              (double) (time_2-time_1)/CLOCKS_PER_SEC);

}
